Page MenuHomePhabricator

run refreshLinks.php and updateArticleCount.php on shywiktionary
Closed, ResolvedPublic

Description

Please run the 'refreshLinks.php' and 'updateArticleCount.php' scripts (in that order) on the recently created shywiktionary (the Shawiya Wiktionary, T238105).

Based on what I'm seeing on the wiki, it looks like the 'pagelinks' table is not correct/complete.

To be specific:

shywiktionary is currently reporting that 1,128 main-namespace pages are dead-ends (do not link to other pages), but a check of a generous sampling of those pages reveals that almost all of them do actually contain a wikilink provided by a template that specifies the language(s) of each entry.

This "dead-end" data was cached at 21:55, 1 December 2019. I'm not sure if this is local wiki time of UTC+01 or just UTC, but in any case, it was surely after the statistics were initialized, sometime between 5am and noon UTC on 1 December (note that shywiktionary appears for the first time in the 12:01 Dec 1st update of m:Wiktionary/Table).

Now, if you notice (hopefully still true when you read this), the list of dead-end pages starts with "hiḍma" and appears to be in alphabetical order (or Unicode sort-order?), while the list of pages linking to the language template ends with "hizizwin" (also in order). This is clearly not a coincidence.

Also not a coincidence: Special:Statistics claims 903 content pages, which matches the 2,031 main-namespace non-redirects minus the 1,128 purported dead-end pages. But the "true" article count presumably should be very close to 2,000, since almost all main-namespace pages transclude that link-providing template.

Thus, it looks like the wiki is somehow "stuck" with an incomplete 'pagelinks' table, which is adversely affecting WhatLinksHere and the article count of the wiki (among other things, I'm sure). Running the scripts should fix these problems.

Related Objects

Event Timeline

Dcljr created this task.Dec 2 2019, 10:24 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 2 2019, 10:24 AM

@Urbanecm or @Reedy, can one of you do this?

Reedy closed this task as Resolved.Dec 9 2019, 12:55 AM
Reedy claimed this task.
reedy@deploy1001:~$ mwscript initSiteStats.php --wiki=shywiktionary
Refresh Site Statistics

Counting total edits...6997
Counting number of articles...903
Counting total pages...2206
Counting number of users...107
Counting number of images...0

To update the site statistics table, run the script with the --update option.

Done.
reedy@deploy1001:~$ mwscript refreshLinks.php --wiki=shywiktionary
Refreshing redirects table.
Starting from page_id 1 of 4252.
100
200
300
400
500
600
700
800
900
1000
1100
1200
1300
1400
1500
1600
1700
1800
1900
2000
2100
2200
2300
2400
2500
2600
2700
2800
2900
3000
3100
3200
3300
3400
3500
3600
3700
3800
3900
4000
4100
4200
Refreshing links tables.
Starting from page_id 1 of 4252.
100
200
300
400
500
600
700
800
900
1000
1100
1200
1300
1400
1500
1600
1700
1800
1900
2000
2100
2200
2300
2400
2500
2600
2700
2800
2900
3000
3100
3200
3300
3400
3500
3600
3700
3800
3900
4000
4100
4200
Deleting illegal entries from the links tables...
  Checking interval (-INF, INF)
    pagelinks: 0 deleted.
    imagelinks: 0 deleted.
    categorylinks: 0 deleted.
    templatelinks: 0 deleted.
    externallinks: 0 deleted.
    iwlinks: 0 deleted.
    langlinks: 0 deleted.
    redirect: 0 deleted.
    page_props: 0 deleted.
reedy@deploy1001:~$ mwscript initSiteStats.php --wiki=shywiktionary
Refresh Site Statistics

Counting total edits...6997
Counting number of articles...2029
Counting total pages...2206
Counting number of users...107
Counting number of images...0

To update the site statistics table, run the script with the --update option.

Done.
reedy@deploy1001:~$ mwscript initSiteStats.php --wiki=shywiktionary --update
Refresh Site Statistics

Counting total edits...6997
Counting number of articles...2029
Counting total pages...2206
Counting number of users...107
Counting number of images...0

Updating site statistics...done.

Done.
Dcljr added a comment.Dec 9 2019, 3:34 AM

Yep, those were the results I was expecting. Thanks.